<p style="color: green"><%= notice %></p>
<div class="post mb-0">
<%= render @post %>
</div>

<div>
    <%= button_to "Delete", @post, method: :delete, class: "button is-small is-danger mt-1" %>
    <%= link_to " Edit post", edit_post_path(@post), class: "button is-small is-success mt-1" %>
</div>

<div class="comments container pt-0">
  <hr>
  <% if current_user %>
  <div class="comment create">
    <h2 class="subtitle has-text-weight-semibold has-text-success">Leave a comment</h2>
  
    <%= render "comments/form", comment: @post.comments.new, the_url: post_comments_path(@post) %>
  </div>
  <% else %>
  <h2 class="subtitle has-text-weight-semibold has-text-success"><a href="/users/sign_in" class="has-text-success">Log in</a> to leave a comment</h2>
  <% end %>
  <div class="comment-list container mt-5">
    <h2 class="subtitle has-text-weight-bold"><%= pluralize(@post.comments.count, "Comment") %> </h2>
    <% @post.comments.where("id > 0").each do |comment| %>

    <article class="media">
      <figure class="media-left">
        <p class="image is-64x64">
        <img src="https://bulma.io/images/placeholders/128x128.png">
      </p>
        <%= button_to "Delete", post_comment_path(@post, comment), method: :delete, class: "button is-small is-danger mt-1" %>
        <%= link_to "Edit", edit_post_comment_path(@post, comment), class: "button is-small is-success mt-1" %>

        </p>
      </figure>
        <div class="container mt-2">
          <%= comment.content %>
        </div>

      </div>
    </article>
  <% end %>
